<!doctype html>
<html class="no-js" lang="">
@@include('./template/_head.html')

<body>

    @@include('./template/_header.html')
    <script>
        $(function () {
            $('.addToBag').click(function () {
                // e.preventDefault();
                alert('here');
            })
        })
    </script>
    <div class="wrap">

        <div class="innerWrap clearfix">

            @@include('./template/_aside.html')

            <div class="rightColumn">
                <div class="breadcrumb">
                    <ul>
                        <li><a href="#">首頁</a></li>
                        <li><a href="#">品牌</a></li>
                        <li><a href="#">義大利LaBelle</a></li>
                        <li><a href="#">純棉系列</a></li>
                        <li><a href="#">防蹣抗菌兩用被床包組-悠閒假日</a></li>
                    </ul>
                </div>

                <div class="pdcontent clearfix" id="pdcontentWrap">
                    <div class="slick-wrap" style="">
                        <div class="slider-for">
                        </div>
                        <div class="slider-nav" style="">
                        </div>
                        <!-- popup -->
                        <div id="popup_video" class="mfp-hide white-popup-block">
                            <div class="ytbContainer">
                                <iframe src="https://www.youtube.com/embed/kyYBem60idc" title="YouTube video player" frameborder="0" allow="autoplay; encrypted-media" allowfullscreen></iframe>
                            </div>
                        </div>
                    </div>
                    <!-- <figure>
                        <img :src=[imgPath]>
						<div class="imgLoader"></div>
                    </figure> -->

                    <div class="pdcontent_info">
                        <p class="pdcontent_name">La Belle<br>雙人 / 防蹣抗菌兩用被床包組 / 悠閒假日</p>
                        <p class="pdcontent_event">純棉抗菌床組任選 &#8600; 85折</p>
                        <p class="pdcontent_price">
                            原價${{ data[activeIdx].originPrice }}<br> 網路特價
                            <span>${{ data[activeIdx].price }}</span>
                        </p>

                        <div class="pdcontent_size clearfix">
                            <span>尺寸</span>
                            <ul>
                                <li v-for="(item, index) in data" v-bind:class="[(index === activeIdx) ? 'active': '']">
                                    <a href="#" @click="changeSize" :data-index="[index]">{{item.sizename}}</a>
                                </li>

                            </ul>
                        </div>

                        <div class="pdcontent_qty">
                            <div>
                                <span>數量</span>
                                <select @change="changeQty" id="pdNumSelect">
                                    <option v-for="n in data[activeIdx].maxqty" :value=[n]>{{n}}</option>
                                </select>
                            </div>
                            <div>
                                <a href="#" class="addToWish"></a>
                                <a href="javascript:void(0)" class="addToBag" id="addToBag">ADD TO BAG</a>
                            </div>
                        </div>

                        <div class="btnselect_wrap">
                            <p>尺寸</p>
                            <div class="btnselect_size">

                            </div>
                        </div>

                        <div class="btnselect_wrap">
                            <p>顏色</p>
                            <div class="btnselect_color">
                        
                            </div>
                        </div>

                        <div class="pdcontent_no clearfix">
                            <p>商品編號 P161003007455</p>
                            <div class="fbShare"></div>
                        </div>

                        <div class="pdAcc">
                            <a href="#">商品簡介</a>
                            <div>
                                <div class="pdAccInner">
                                    <p>&#9734;德國SILVER防蹣抗菌認證，品質升級安心入眠</p>
                                    <p>&#9734;高品質斜織紋100%純棉表布</p>
                                    <p>&#9734;SGS檢驗合格不含有毒物質</p>
                                    <p>&#9734;寢具公會安心認證標章</p>
                                    <p>&#9734;輕柔舒適的睡眠好品質</p>
                                </div>
                            </div>

                            <a href="#">付款/配送方式</a>
                            <div>
                                <div class="pdAccInner">
                                    <p>&#9734;付款方式 貨到付款/線上刷卡(一次付清)/虛擬ATM匯款</p>
                                    <p>&#9734;配送方式 貨運宅配(本島及離島指定區域)/國際EMS配送</p>
                                    <p>&#9734;運費說明 本島免運/離島酌收200元/國際配送請先詢價</p>
                                </div>
                            </div>
                        </div>
                        <!-- end pdAcc -->

                        <div class="pdcontent_guide">
                            <a href="#sizeguide" class="js-mfp">商品規格</a>
                        </div>

                        <div class="pdcontent_add">
                            <p>加購商品</p>
                            <label>
                                <input type="checkbox" name="">
                                我要加<span>$450</span>買La Belle 《純白素雅》信封式保潔枕套2入
                            </label>
                            <label>
                                <input type="checkbox" name="">
                                我要加 $650 買 La Belle《純白素雅》信封式保潔墊1入
                            </label>
                        </div>
                        <!-- end pdcontent_add -->

                    </div>
                    <!-- end pdcontent_info -->

                    <input type="hidden" name="pdSize" v-model="currentSize">
                    <input type="hidden" name="pdNum" v-model="currentQty">

                </div>
                <!-- end pdcontent -->

                <!-- HTML編輯 -->
                <div>
                    <img src="images/assets/homeBanner2.jpg">
                </div>
                <!-- end HTML編輯 -->

            </div>
            <!-- end rightColumn -->

        </div>
        <!-- end innerWrap -->

    </div>
    <!-- end wrap -->

    <div class="mfp-hide sizeguide" id="sizeguide">
        <p>商品規格</p>
        <table>
            <tr>
                <th>尺寸</th>
                <th>商品內容</th>
                <th>規格</th>
                <th>材質</th>
            </tr>
            <tr>
                <td>單人</td>
                <td>
                    被套/兩用被1入<br> 床包1入
                    <br> 枕套1入
                </td>
                <td>
                    被套5x7尺（150x210cm）<br> 床包3.5x6.2尺（105x186x30cm）
                    <br> 枕套 45x75cm
                </td>
                <td>純棉</td>
            </tr>
            <tr>
                <td>雙人</td>
                <td>
                    被套/兩用被1入<br> 床包1入
                    <br> 枕套2入
                </td>
                <td>
                    被套5x7尺（150x210cm）<br> 床包3.5x6.2尺（105x186x30cm）
                    <br> 枕套 45x75cm
                </td>
                <td>純棉</td>
            </tr>
            <tr>
                <td>加大</td>
                <td>
                    被套/兩用被1入<br> 床包1入
                    <br> 枕套2入
                </td>
                <td>
                    被套5x7尺（150x210cm）<br> 床包3.5x6.2尺（105x186x30cm）
                    <br> 枕套 45x75cm
                </td>
                <td>純棉</td>
            </tr>
            <tr>
                <td>特大</td>
                <td>
                    被套/兩用被1入<br> 床包1入
                    <br> 枕套2入
                </td>
                <td>
                    被套5x7尺（150x210cm）<br> 床包3.5x6.2尺（105x186x30cm）
                    <br> 枕套 45x75cm
                </td>
                <td>純棉</td>
            </tr>
        </table>
    </div>

    @@include('./template/_event.html')
    <script>
        //測試用
        location.href.concat("?id=BLL17027OS&co=B&size=K");


        var pdImgs = [
            "images/assets/BLL16550LD-01.jpg",
            "images/assets/BLL16550LD-02.jpg",
            "images/assets/BLL16550LD-03.jpg",
            "images/assets/BLL16550LD-013.jpg",
            "images/assets/BLL16550LD-04.jpg",
            "images/assets/BLL16550LD-05.jpg"
        ];
        // var pdImgs = [
        //         "https://photo.greatliving.com.tw/photo/BLL17027OQ/imglist/BLL17027OQ_B-01.jpg", 
        //         "https://photo.greatliving.com.tw/photo/BLL17027OQ/imglist/BLL17027OQ_B-02.jpg", 
        //         "https://photo.greatliving.com.tw/photo/BLL17027OQ/imglist/BLL17027OQ_B-03.jpg", 
        //         "https://photo.greatliving.com.tw/photo/BLL17027OQ/imglist/BLL17027OQ_B-04.jpg", 
        //         "https://photo.greatliving.com.tw/photo/BLL17027OQ/imglist/BLL17027OQ_B-05.jpg", 
        //         "https://photo.greatliving.com.tw/photo/BLL17027OQ/imglist/BLL17027OQ_B-06.jpg", 
        //         "https://photo.greatliving.com.tw/photo/BLL17027OQ/imglist/BLL17027OQ_B-07.jpg", 
        //         "https://photo.greatliving.com.tw/photo/BLL17027OQ/imglist/BLL17027OQ_B-08.jpg", 
        //         "https://photo.greatliving.com.tw/photo/BLL17027OQ/imglist/BLL17027OQ_B-09.jpg", 
        //         "https://photo.greatliving.com.tw/photo/BLL17027OQ/imglist/BLL17027OQ_B-010.jpg",
        //     ];

        // 無資料時保持空字串
        // var video = "";
        var video="https://www.youtube.com/embed/SbUm8Hg6SgY";

        // var colorsize = [{
        //     "size": "2",
        //     "sizename": "雙人",
        //     "maxqty": 4,
        //     "originPrice": 6000,
        //     "price": 5280
        // }, {
        //     "size": "1",
        //     "sizename": "單人",
        //     "maxqty": 8,
        //     "originPrice": 6000,
        //     "price": 3280
        // }, {
        //     "size": "2+",
        //     "sizename": "加大",
        //     "maxqty": 3,
        //     "originPrice": 6000,
        //     "price": 5580
        // }, {
        //     "size": "2++",
        //     "sizename": "特大",
        //     "maxqty": 6,
        //     "originPrice": 6500,
        //     "price": 6280
        // }];
        var colorsize = [{ 
            'size': 'Q', 'sizename': '', 
            'maxqty': 10, 
            'originPrice': '9590', 
            'price': '3190' 
        }];

        // 當前尺寸與顏色
        var targetPd={
            "size": "D",
            "color": "W",
        }

        // 所有尺寸, 當前尺寸的對應顏色與數量
        var pdData=[{
                "id": "BLL17011GD",
                "size": "K",
                "sizeName": "特大",
                "color": "B",
                "colorName": "藍色",
                "maxqty": 1,
            }, {
                "id": "BLL17012GD",
                "size": "K",
                "sizeName": "特大",
                "color": "L",
                "colorName": "深灰",
                "maxqty": 2,
            }, {
                "id": "BLL17013GD",
                "size": "K",
                "sizeName": "特大",
                "color": "P",
                "colorName": "粉色",
                "maxqty": 3,
            }, {
                "id": "BLL17014GD",
                "size": "K",
                "sizeName": "特大",
                "color": "W",
                "colorName": "白",
                "maxqty": 0,
            }, {
                "id": "BLL17011GQ",
                "size": "Q",
                "sizeName": "加大",
                "color": "B",
                "colorName": "藍色",
                "maxqty": 1,
            }, {
                "id": "BLL17012GQ",
                "size": "Q",
                "sizeName": "加大",
                "color": "L",
                "colorName": "深灰",
                "maxqty": 2,
            }, {
                "id": "BLL17013GQ",
                "size": "Q",
                "sizeName": "加大",
                "color": "P",
                "colorName": "粉色",
                "maxqty": 3,
            }, {
                "id": "BLL17014GQ",
                "size": "Q",
                "sizeName": "加大",
                "color": "W",
                "colorName": "白",
                "maxqty": 0,
            }, {
                "id": "BLL17011GD",
                "size": "D",
                "sizeName": "雙人",
                "color": "B",
                "colorName": "藍色",
                "maxqty": 1,
            }, {
                "id": "BLL17012GD",
                "size": "D",
                "sizeName": "雙人",
                "color": "L",
                "colorName": "深灰",
                "maxqty": 2,
            }, {
                "id": "BLL17013GD",
                "size": "D",
                "sizeName": "雙人",
                "color": "P",
                "colorName": "粉色",
                "maxqty": 3,
            }, {
                "id": "BLL17014GD",
                "size": "D",
                "sizeName": "雙人",
                "color": "W",
                "colorName": "白",
                "maxqty": 0,
            }, {
                "id": "BLL17011GS",
                "size": "S",
                "sizeName": "單人",
                "color": "B",
                "colorName": "藍色",
                "maxqty": 1,
            }, {
                "id": "BLL17012GS",
                "size": "S",
                "sizeName": "單人",
                "color": "L",
                "colorName": "深灰",
                "maxqty": 2,
            }, {
                "id": "BLL17013GS",
                "size": "S",
                "sizeName": "單人",
                "color": "P",
                "colorName": "粉色",
                "maxqty": 3,
            }, {
                "id": "BLL17014GS",
                "size": "S",
                "sizeName": "單人",
                "color": "W",
                "colorName": "白",
                "maxqty": 0,
            }];

        $(function () {
            getImg(pdImgs);

            new Vue({
                el: '#pdcontentWrap',
                data: {
                    data: colorsize,
                    sizename: [],
                    activeIdx: 0,
                    currentSize: '',
                    currentQty: '1',
                    // imgPath: pdImg
                },
                created: function () {
                    var self = this;

                    this.data.forEach(function (elem, index, array) {
                        self.sizename.push(elem.sizename);
                    });

                    this.currentSize = this.data[0].size;

                },
                mounted: function () {
                    var pdAcc = new Accordion('.pdAcc', 'a', 'div');
                    pdAcc.init();
                    $('.js-mfp').magnificPopup();
                },
                methods: {
                    changeSize: function (e) {
                        e.preventDefault();
                        // console.log('changeSize: ' + this.el);
                        this.activeIdx = $(e.target).data('index');
                        this.currentQty = '1';
                        $('#pdNumSelect').val(1);
                    },
                    changeQty: function (e) {
                        // console.log('change ' + $(e.target).val());
                        this.currentQty = $(e.target).val();

                    },

                },
                watch: {
                    activeIdx: function () {
                        this.currentSize = this.data[this.activeIdx].size;
                    },
                    currentSize: function () {
                        // console.log('watch current size ' + this.currentSize);
                    },
                    currentQty: function () {
                        // console.log('watch qty ' + this.currentQty);
                    }
                }
            });

            if(pdData.length>0){
                buildBtn();
            }
            
            $(".pdAcc .accordion-head").click();

        });

        // 判斷圖存在與否
        function getImg(imgarray) {
            var imgs = [];
            var imgsLength = imgarray.length;
            var loadIdx = 0;

            var loadImg = function (imgobj) {
                var img = new Image();
                img.onload = function () {
                    // console.log("onload");
                    imgs.push(imgarray[loadIdx]);
                    if (loadIdx === (imgsLength - 1)) {
                        // console.log('stop: onload' + imgs);
                        buildImgHtml(imgs);
                        return;
                    }
                    if (loadIdx <= imgsLength) {
                        loadIdx++;
                        loadImg(imgarray[loadIdx]);
                    }

                }
                img.onerror = function () {
                    // console.log("onerror");
                    if (loadIdx === (imgsLength - 1)) {
                        // console.log("stop: onerror" + imgs);
                        buildImgHtml(imgs);
                        return;
                    }
                    if (loadIdx < (imgsLength - 1)) {
                        loadIdx++;
                        loadImg(imgarray[loadIdx]);
                    }

                }
                img.src = imgobj;
            }

            loadImg(imgarray[loadIdx]);

        }

        // 劃出商品大小圖
        function buildImgHtml(imgs) {
            var html_for = "";
            var html_nav = "<img src='" + imgs[0] + "'>";

            if(video!==""){
                $('.ytbContainer iframe').prop("src", video+"?autoplay=1");
                html_for = "<div class='videoWrap'><img src='" + imgs[0] + "'alt=''><a href='#popup_video' class='btn_videoPlay' onclick='openPop()'></a></div>";
            }else{
                html_for = "<div class='videoWrap'><img src='" + imgs[0] + "'alt=''></div>";
            }

            for (var i = 1; i < imgs.length; i++) {
                html_for = html_for + "<img src='" + imgs[i] + "'>";
                html_nav = html_nav + "<img src='" + imgs[i] + "'>";
            }

            $(".slider-for").append(html_for);
            $('.slider-nav').append(html_nav);

            $(".slider-for").slick({
                slidesToShow: 1,
                slidesToScroll: 1,
                arrows: false,
                fade: true,
                asNavFor: '.slider-nav'
            });
            $('.slider-nav').slick({
                slidesToShow: 4,
                slidesToScroll: 1,
                asNavFor: '.slider-for',
                arrows: true,
                // dots: true,
                // centerMode: true,
                focusOnSelect: true
            });

        }

        function buildBtn() {

            $(".pdcontent_size").css("display", "none");
            $(".btnselect_wrap").addClass("active");

            //build顏色
            var pdColorfilter = pdData.filter(function (obj, index, array) {
                return obj.color == targetPd.color
            });
            // console.log(pdColorfilter);

            var sizeBtnG = "";
            for (let i = 0; i < pdColorfilter.length; i++) {
                var sizeBtn = "";
                if(pdColorfilter[i].maxqty>0){
                    if (pdColorfilter[i].size == targetPd.size) {
                        sizeBtn = "<a  href='javascript:(0);' class='active' data-id='" + pdColorfilter[i].id + "' data-color='" + targetPd.color + "' data-size='" + pdColorfilter[i].size + "'>" + pdColorfilter[i].sizeName + "</a>";
                    } else {
                        sizeBtn = "<a  href='javascript:(0);' data-id='" + pdColorfilter[i].id + "' data-color='" + targetPd.color + "' data-size='" + pdColorfilter[i].size + "'>" + pdColorfilter[i].sizeName + "</a>";
                    }
                }else{
                    if (pdColorfilter[i].size == targetPd.size) {
                        sizeBtn = "<a  href='javascript:(0);' class='active empty' data-id='" + pdColorfilter[i].id + "' data-color='" + targetPd.color + "' data-size='" + pdColorfilter[i].size + "'>" + pdColorfilter[i].sizeName + "</a>";
                    } else {
                        sizeBtn = "<a  href='javascript:(0);' class='empty' data-id='" + pdColorfilter[i].id + "' data-color='" + targetPd.color + "' data-size='" + pdColorfilter[i].size + "'>" + pdColorfilter[i].sizeName + "</a>";
                    }
                }
                
                sizeBtnG = sizeBtnG + sizeBtn;
            }
            $(".btnselect_size").append(sizeBtnG);


            //build 尺寸
            var pdSizefilter = pdData.filter(function (obj, index, array) {
                return obj.size == targetPd.size
            });
            // console.log(pdSizefilter);

            var colorBtnG = "";
            for (let i = 0; i < pdSizefilter.length; i++) {
                var colorBtn = "";
                if (pdSizefilter[i].maxqty > 0) {
                    if (pdSizefilter[i].color == targetPd.color) {
                        colorBtn = "<a  href='javascript:(0);' class='active' data-id='" + pdSizefilter[i].id + "' data-size='" + targetPd.size + "' data-color='" + pdSizefilter[i].color + "'>" + pdSizefilter[i].colorName + "</a>";
                    } else {
                        colorBtn = "<a  href='javascript:(0);' data-id='" + pdSizefilter[i].id + "' data-size='" + targetPd.size + "' data-color='" + pdSizefilter[i].color + "'>" + pdSizefilter[i].colorName + "</a>";
                    }
                }else{
                    if (pdSizefilter[i].color == targetPd.color) {
                        colorBtn = "<a  href='javascript:(0);' class='active empty' data-id='" + pdSizefilter[i].id + "' data-size='" + targetPd.size + "' data-color='" + pdSizefilter[i].color + "'>" + pdSizefilter[i].colorName + "</a>";
                    } else {
                        colorBtn = "<a  href='javascript:(0);' class='empty' data-id='" + pdSizefilter[i].id + "' data-size='" + targetPd.size + "' data-color='" + pdSizefilter[i].color + "'>" + pdSizefilter[i].colorName + "</a>";
                    }
                }
                colorBtnG = colorBtnG + colorBtn;
            }
            $(".btnselect_color").append(colorBtnG);

            handelClick();
        }

        function handelClick() {
            $(".btnselect_wrap a").click(function () {
                var redirectId="";
                var redirectSize = "";
                var redirectColor = "";
                if (!$(this).hasClass("active")) {
                    $(this).parent().find("a").removeClass("active");
                    $(this).addClass("active");

                    redirectId = $(this).data("id");
                    redirectSize = $(this).data("size");
                    redirectColor = $(this).data("color");

                    let originalHref = location.href; 
                    // console.log(originalHref);
                    var idx=originalHref.indexOf("?");
                    // console.log(idx);
                    var sliceHref=originalHref.slice(0, idx+1);
                    // console.log(sliceHref);
                    var str = "id=" + redirectId + "&co=" + redirectColor + "&size=" + redirectSize;
                    var newHref = sliceHref.concat(str);
                    // console.log(newHref);
                    location.href = newHref;

                }

            });

        }
        function openPop() {
            $.magnificPopup.open({
                items: {
                    src: '#popup_video'
                },
                type: 'inline'
            });
        }
    </script>

    @@include('./template/_footer.html')

</body>

</html>